Skip to main content
POST
/
api
/
knowledge-base
/
detach
{
  "documentation_id": "doc_a1b2c3d4e5f6",
  "agent_id": "agent_b2c3d4e5f6a7"
}
{
  "success": true,
  "message": "Document detached from agent successfully"
}
Detach a knowledge base document from an agent.

Headers

X-API-Key
string
required
Your API key for authentication.
X-Organization-Id
string
required
The organization ID.
Content-Type
string
required
Must be application/json.

Request Body

documentation_id
string
required
The ID of the document to detach.
agent_id
string
required
The ID of the agent to detach from.

Permissions

  • kb:update (admin, agent_manager)

Response

success
boolean
Indicates if the detachment was successful.
message
string
Human-readable success message.
{
  "documentation_id": "doc_a1b2c3d4e5f6",
  "agent_id": "agent_b2c3d4e5f6a7"
}
{
  "success": true,
  "message": "Document detached from agent successfully"
}

Errors

403
object
Document or agent belongs to different organization.